Subject: [centr-fm] Re: [centr-ga] FWD: IANA TLD delegation issue
From: Olivier Guillard / AFNIC <[email-masked]>
To: Marcel Schneider <[email-masked]>
Cc: [email-masked]
Date: Mon, 6 Jun 2005 14:53:21 +0200

Marcel and colleagues,

as the AFNIC multinamming story with IANA was quoted
within exchanges, we felt necessary to provide the
community with a report to clarify what happened.

Find it here included.

As there is no standard format to communicate over
the TLD community this kind of reports, I have
choosen the RFC one. It is not designed for this
kind of communications, but I felt that it was the
less unappropriate to use (-> it does exist and it
is known by ccTLDs).

This is a raw draft: I would higly appreciate 
*ANY* suggestions and inputs.

This issue will be discussed over the next CENTR GA
in Trondheim: 
http://www.centr.org/docs/2005/05/centr-ga26-agenda.pdf

Best regards,

le vendredi 13 mai à 15 H 58 , Marcel Schneider a ecrit :
> Since this is a real technical concern to us all. Propose
> we ask IANA to clarify.
> 
> 
> Marcel  
> 
> 
> ------- Forwarded Message
> 
> Date:    Fri, 13 May 2005 14:50:00 +0100
> From:    Jim Reid <[email-masked]>
> To:      [email-masked]
> Subject: [dns-wg] IANA TLD delegation issue
> 
> Here is a copy of the mail that has just been sent to IANA in followup 
> to the discussion during last week's RIPE meeting. My thanks to those 
> who have helped draft this message so promptly. I will keep the WG 
> informed of developments.
> 
> Dear Colleagues,
> 
> This note follows a discussion at the DNS Working Group during last
> week's RIPE meeting. Doug was unable to take part in this discussion
> because he was called away early. Therefore we have sent you this
> message so that we can clear up any possible misunderstandings and
> hopefully avoid invoking more formal mechanisms.
> 
> The RIPE DNS Working Group is concerned about some aspects of the
> current practice regarding IANA TLD operations. In particular the
> problems encountered by AFNIC last month are unsettling.
> 
> It is our understanding that IANA has recently stopped accepting
> certain updates to the DNS root zone. The current practice now appears
> to require each particular network address used in glue address RRs to
> have one unique DNS name. This requirement is new: multiple names
> already exist in the root zone for some name server addresses. There
> is no technical reason in the DNS protocols preventing this practice.
> 
> Important technical and operational goals can require TLD operators to
> use different names for the same address. The most obvious of these is
> more efficient name compression to make room for additional data in
> responses. Multiple names for the same address can reduce the amount
> of co-ordination required in case of name server address changes.
> 
> We do not understand why this requirement has been introduced or the
> process by which it was agreed. The RIPE DNS Working Group is
> disappointed that this change appears to have been carried out by IANA
> without prior consultation or discussion. We would like to know
> rationale for this policy and the mechanism which led to its
> introduction. We'd appreciate any clarifications from you before Friday,
> May 20th.
> 
> Regards
> 
> .....
> chairs RIPE DNS WG
> 
> 
> ------- End of Forwarded Message

-- 
Olivier